# sf::SoundBuffer Class Reference

SoundBuffer is the low-level for loading and manipulating sound buffers. More...

`#include <SoundBuffer.hpp>`

Inheritance diagram for sf::SoundBuffer:

List of all members.

## Public Member Functions

| SoundBuffer ()
| Default constructor.
| SoundBuffer (const SoundBuffer &Copy)
| Copy constructor.
| ~SoundBuffer ()
| Destructor.
bool | LoadFromFile (const std::string &Filename)
| Load the sound buffer from a file.
bool | LoadFromMemory (const char *Data, std::size_t SizeInBytes)
| Load the sound buffer from a file in memory.
bool | LoadFromSamples (const Int16 *Samples, std::size_t SamplesCount, unsigned int ChannelsCount, unsigned int SampleRate)
| Load the sound buffer from an array of samples - assumed format for samples is 16 bits signed integer.
bool | SaveToFile (const std::string &Filename) const
| Save the sound buffer to a file.
const Int16 * | GetSamples () const
| Return the sound samples.
std::size_t | GetSamplesCount () const
| Return the samples count.
unsigned int | GetSampleRate () const
| Get the sample rate.
unsigned int | GetChannelsCount () const
| Return the number of channels (1 = mono, 2 = stereo, .
float | GetDuration () const
| Get the sound duration.
SoundBuffer & | operator= (const SoundBuffer &Other)
| Assignment operator.

## Friends

class | Sound

## Detailed Description

SoundBuffer is the low-level for loading and manipulating sound buffers.

Definition at line 46 of file SoundBuffer.hpp.

## Constructor & Destructor Documentation

sf::SoundBuffer::SoundBuffer | ( |  | ) |

Default constructor.

Definition at line 42 of file SoundBuffer.cpp.

sf::SoundBuffer::SoundBuffer | ( | const SoundBuffer & | Copy | ) |

Copy constructor.

Parameters:

  | Copy | : Instance to copy

Definition at line 54 of file SoundBuffer.cpp.

sf::SoundBuffer::~SoundBuffer | ( |  | ) |

Destructor.

Definition at line 73 of file SoundBuffer.cpp.

## Member Function Documentation

unsigned int sf::SoundBuffer::GetChannelsCount | ( |  | ) | const

Return the number of channels (1 = mono, 2 = stereo, .

..)

Returns:
  Number of channels

..)

Definition at line 253 of file SoundBuffer.cpp.

float sf::SoundBuffer::GetDuration | ( |  | ) | const

Get the sound duration.

Returns:
  Sound duration, in seconds

Definition at line 265 of file SoundBuffer.cpp.

unsigned int sf::SoundBuffer::GetSampleRate | ( |  | ) | const

Get the sample rate.

Returns:
  Sound frequency (number of samples per second)

Definition at line 241 of file SoundBuffer.cpp.

const Int16 * sf::SoundBuffer::GetSamples | ( |  | ) | const

Return the sound samples.

Returns:
  Pointer to the array of sound samples, in 16 bits signed integer format

Definition at line 223 of file SoundBuffer.cpp.

std::size_t sf::SoundBuffer::GetSamplesCount | ( |  | ) | const

Return the samples count.

Returns:
  Number of samples

Definition at line 232 of file SoundBuffer.cpp.

bool sf::SoundBuffer::LoadFromFile | ( | const std::string & | Filename | ) |

Load the sound buffer from a file.

Parameters:

  | Filename | : Path of the sound file to load

Returns:
  True if loading has been successful

Definition at line 88 of file SoundBuffer.cpp.

bool sf::SoundBuffer::LoadFromMemory | ( | const char * | Data,
|  | std::size_t | SizeInBytes |
| ) |  |  |

Load the sound buffer from a file in memory.

Parameters:

  | Data | : Pointer to the file data in memory
  | SizeInBytes | : Size of the data to load, in bytes

Returns:
  True if loading has been successful

Definition at line 129 of file SoundBuffer.cpp.

bool sf::SoundBuffer::LoadFromSamples | ( | const Int16 * | Samples,
|  | std::size_t | SamplesCount,
|  | unsigned int | ChannelsCount,
|  | unsigned int | SampleRate |
| ) |  |  |

Load the sound buffer from an array of samples - assumed format for samples is 16 bits signed integer.

Load the sound buffer from an array of samples - assumed format for samples is 16 bits signed integer.

Parameters:

  | Samples | : Pointer to the samples in memory
  | SamplesCount | : Number of samples pointed by Samples
  | ChannelsCount | : Number of channels (1 = mono, 2 = stereo, ...)
  | SampleRate | : Frequency (number of samples to play per second)

Returns:
  True if loading has been successful

Definition at line 171 of file SoundBuffer.cpp.

SoundBuffer & sf::SoundBuffer::operator= | ( | const SoundBuffer & | Other | ) |

Assignment operator.

Parameters:

  | Other | : Instance to assign

Returns:
  Reference to the sound buffer

Definition at line 274 of file SoundBuffer.cpp.

bool sf::SoundBuffer::SaveToFile | ( | const std::string & | Filename | ) | const

Save the sound buffer to a file.

Parameters:

  | Filename | : Path of the sound file to write

Returns:
  True if saving has been successful

Definition at line 199 of file SoundBuffer.cpp.

The documentation for this class was generated from the following files:

- SoundBuffer.hpp
- SoundBuffer.cpp